// Copyright (C) 2008-2012, Software Development Laboratories, "Fish" (David B. Trout)
//////////////////////////////////////////////////////////////////////////////////////////
// ParseOpt.h   --   custom command-line parser
//////////////////////////////////////////////////////////////////////////////////////////
//
//  Change History:
//
//  04/19/08    1.0.0   Fish    Created.
//
//////////////////////////////////////////////////////////////////////////////////////////

#pragma once

//////////////////////////////////////////////////////////////////////////////////////////
// Custom class to parse command line...

class CMyCmdLineParser : public CCommandLineInfo
{
public:
    bool m_bErrors;
    CMyCmdLineParser() : m_bErrors( false ) {}
    virtual void  ParseParam( LPCTSTR pszParam, BOOL bFlag, BOOL bLast );
    virtual void  ShowHelp( FILE* pStream = stdout );
};

//////////////////////////////////////////////////////////////////////////////////////////
